#
# spec file for package libnes-rdmav2 (Version 1.1.0)
#
# Copyright (c) 2009-2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnes-rdmav2
Summary:        NetEffect RNIC Userspace Library
Version:        1.1.4
Release:        6.3
License:        BSD-3-Clause or GPL-2.0
Group:          Productivity/Networking/Other
Source0:        libnes-%{version}.tar.gz
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel
BuildRequires:  automake autoconf libtool

Supplements:    modalias(pci:v00001678d00000110sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001678d00000100sv*sd*bc*sc*i*)

%description
libnes provides a device-specific userspace driver for NetEffect RNICs
for use with the libibverbs library.

%prep
%setup -q -n libnes

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/libnes.{la,so}

%files
%defattr(-, root, root)
%_libdir/libnes-rdmav2.so
%config %{_sysconfdir}/libibverbs.d/nes.driver
%doc AUTHORS COPYING

%changelog
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Thu Feb 13 2014 pth@suse.de
- Update to 1.1.4 for fate#315488, no changelog present. But from
  upstream mail:
  * Fix for a valid QP address if WR_FLUSH_ERR occurs just after the
    first RDMA message is sent
  * Fix for checking the CQ id in nes_upoll_cq_no_db_read
* Fri Jan 31 2014 pth@suse.de
- No devel package, this is a plugin.
* Wed Jan 29 2014 pth@suse.de
- Add PCI-IDs from sle11-sp3.
* Wed Jan 29 2014 pth@suse.de
- Licensse is GPL-2.0 not GPL-2.0+.
* Thu Jan 23 2014 pth@suse.com
- remove .la file as it's not packaged.
* Fri Jan 17 2014 pth@suse.de
- Update to 1.1.3 from OFED 3.12
- Enable build for s390x.
- Use spdx.org format for license specification.
* Tue Sep 11 2012 pth@suse.de
- Update to 1.1.3 from OFED 1.5.4.1
* Tue Sep 11 2012 jengelh@inai.de
- Remove redundant sections from specfile, set SRPM group
- Parallel build with %%_smp_mflags
- Cease shipping static libraries
- Do own the config directory
* Tue May  8 2012 pth@suse.de
- BuildRequire automake, autoconf and libtool.
* Mon Oct 25 2010 jjolly@novell.com
- Update to v1.1.0 from OFED 1.5.2
* Thu Dec  3 2009 jjolly@suse.de
- Updated to v0.6 from OFED 1.4.2
* Thu Dec 11 2008 jjolly@suse.de
- Updates to package from OFED 1.4 GA
  - version update
* Tue Nov 25 2008 ro@suse.de
- add ExcludeArch for s390 s390x
* Tue Oct 28 2008 jjolly@suse.de
- Updated to version from OFED 1.4 rc3
* Thu Sep 11 2008 jjolly@suse.de
- Package submitted to STABLE
* Mon Mar 17 2008 jjolly@suse.de
- Initial submission of v0.5 libnes from OFED v1.3 GA release
